Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Active_Hint_Strategy Class Reference

Active hint strategy. More...

`#include <Active_Object_Map.h>`

Inheritance diagram for TAO_Active_Hint_Strategy:

[legend]
Collaboration diagram for TAO_Active_Hint_Strategy:

[legend]
List of all members.

## Public Types
typedef ACE_Active_Map_Manager_Adapter< PortableServer::ObjectId, TAO_Active_Object_Map::Map_Entry *, TAO_Preserve_Original_Key_Adapter > | system_id_map
## Public Methods
| TAO_Active_Hint_Strategy (CORBA::ULong map_size)
virtual | ~TAO_Active_Hint_Strategy (void)
| Virtual destructor.
virtual int | recover_key (const PortableServer::ObjectId &system_id, PortableServer::ObjectId &user_id)
| Find the user id from the system id.
virtual int | bind (TAO_Active_Object_Map::Map_Entry &entry)
| Add to map.
virtual int | unbind (TAO_Active_Object_Map::Map_Entry &entry)
| Remove from map.
virtual int | find (const PortableServer::ObjectId &system_id, TAO_Active_Object_Map::Map_Entry *&entry)
| Find system id.
virtual size_t | hint_size (void)
| How big is the hint generated by this strategy?
virtual int | system_id (PortableServer::ObjectId_out system_id, TAO_Active_Object_Map::Map_Entry &entry)
| Get the system id associated with this entry.
## Public Attributes
system_id_map | system_id_map_

## Detailed Description

Active hint strategy.

Strategy for adding active hints to ids.

## Member Typedef Documentation

typedef ACE_Active_Map_Manager_Adapter< PortableServer::ObjectId, TAO_Active_Object_Map::Map_Entry *, TAO_Preserve_Original_Key_Adapter> TAO_Active_Hint_Strategy::system_id_map

## Constructor & Destructor Documentation

TAO_Active_Hint_Strategy::TAO_Active_Hint_Strategy | ( | CORBA::ULong | map_size | ) |

TAO_Active_Hint_Strategy::~TAO_Active_Hint_Strategy | ( | void |  | ) | `[virtual]`

| Virtual destructor.

## Member Function Documentation

int TAO_Active_Hint_Strategy::bind | ( | TAO_Active_Object_Map::Map_Entry & | entry | ) | `[virtual]`

| Add to map. Implements TAO_Id_Hint_Strategy.

int TAO_Active_Hint_Strategy::find | ( | const PortableServer::ObjectId & | system_id,
|  | TAO_Active_Object_Map::Map_Entry *& | entry
| ) | `[virtual]`

| Find system id. Implements TAO_Id_Hint_Strategy.

size_t TAO_Active_Hint_Strategy::hint_size | ( | void |  | ) | `[virtual]`

| How big is the hint generated by this strategy? Implements TAO_Id_Hint_Strategy.

int TAO_Active_Hint_Strategy::recover_key | ( | const PortableServer::ObjectId & | system_id,
|  | PortableServer::ObjectId & | user_id
| ) | `[virtual]`

| Find the user id from the system id. Implements TAO_Id_Hint_Strategy.

int TAO_Active_Hint_Strategy::system_id | ( | PortableServer::ObjectId_out | system_id,
|  | TAO_Active_Object_Map::Map_Entry & | entry
| ) | `[virtual]`

| Get the system id associated with this entry. Implements TAO_Id_Hint_Strategy.

int TAO_Active_Hint_Strategy::unbind | ( | TAO_Active_Object_Map::Map_Entry & | entry | ) | `[virtual]`

| Remove from map. Implements TAO_Id_Hint_Strategy.

## Member Data Documentation

system_id_map TAO_Active_Hint_Strategy::system_id_map_

The documentation for this class was generated from the following files:

- Active_Object_Map.h
- Active_Object_Map.cpp